﻿using System;
using System.Collections.Generic;
using System.Collections.Specialized;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PopupSample
{
    public class ViewModel : NotificationObject
    {
        private bool isPopUpOpen;
        public ViewModel()
        {

        }
        
        public bool IsPopUpOpen
        {
            get { return this.isPopUpOpen; }
            set
            {
                this.isPopUpOpen = value;
                RaisePropertyChanged("IsPopUpOpen");
            }
        }
    }
    public class NotificationObject : INotifyPropertyChanged, INotifyCollectionChanged
    {
        public void RaisePropertyChanged(string propName)
    {
        if (this.PropertyChanged != null)
            this.PropertyChanged(this, new PropertyChangedEventArgs(propName));
    }

    public event PropertyChangedEventHandler PropertyChanged;

    public void RaiseCollectionChanged(string propName)
    {
        if (this.CollectionChanged != null)
            this.CollectionChanged(this, new NotifyCollectionChangedEventArgs(NotifyCollectionChangedAction.Reset));
    }
    public event NotifyCollectionChangedEventHandler CollectionChanged;
}
}
